Tue, 26 Oct 2021 03:12:04 UTC

Information for RPM perl-encoding-4:2.17-398.module_el8.1.0+224+75158c84.i686.rpm

ID90540
Nameperl-encoding
Version2.17
Release398.module_el8.1.0+224+75158c84
Epoch4
Archi686
SummaryWrite your Perl script in non-ASCII or non-UTF-8
DescriptionWith the encoding pragma, you can write your Perl script in any encoding you like (so long as the Encode module supports it) and still enjoy Unicode support. However, this encoding module is deprecated under perl 5.18. It uses a mechanism provided by perl that is deprecated under 5.18 and higher, and may be removed in a future version. The easiest and the best alternative is to write your script in UTF-8.
Build Time2019-11-18 21:38:55 GMT
Size84505
ce06ea699fa0bdb996113c4580cc48b1
LicenseGPL+ or Artistic
Buildrootmodule-perl-bootstrap-5.24-8010020190625031225-0ebb7e5b-build-28024-2805
Provides
perl(encoding) = 2.17
perl-encoding = 4:2.17-398.module_el8.1.0+224+75158c84
perl-encoding(x86-32) = 4:2.17-398.module_el8.1.0+224+75158c84
Obsoletes No Obsoletes
Conflicts
perl-Encode < 2:2.60-314
Requires
perl(:MODULE_COMPAT_5.24.4)
perl(Carp)
perl(Encode)
perl(Filter::Util::Call)
perl(constant)
perl(strict)
perl(utf8)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 2 of 2
Name ascending sort Size
/usr/lib/perl5/encoding.pm22452
/usr/share/man/man3/encoding.3pm.gz8650
Component of
1 through 1 of 1
Buildroot descending sort Created State
module-perl-bootstrap-5.24-8010020190625031225-0ebb7e5b-build-28698-2824 2019-11-18 23:22:37 expired